# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ryax/studio/infrastructure/messaging/messages/action_builder_messages.proto
# Protobuf Python Version: 4.25.1
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from google.protobuf import struct_pb2 as google_dot_protobuf_dot_struct__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\nKryax/studio/infrastructure/messaging/messages/action_builder_messages.proto\x12\x0e\x61\x63tion_builder\x1a\x1fgoogle/protobuf/timestamp.proto\x1a\x1cgoogle/protobuf/struct.proto\"\xbb\x0b\n\x0b\x41\x63tionReady\x12\x11\n\taction_id\x18\x01 \x01(\t\x12\x13\n\x0b\x61\x63tion_name\x18\x02 \x01(\t\x12\x16\n\x0e\x61\x63tion_version\x18\x03 \x01(\t\x12\x35\n\x0b\x61\x63tion_kind\x18\x04 \x01(\x0e\x32 .action_builder.ActionReady.Kind\x12\x1a\n\x12\x61\x63tion_description\x18\x05 \x01(\t\x12\x1e\n\x16\x61\x63tion_dynamic_outputs\x18\x06 \x01(\x08\x12;\n\raction_inputs\x18\x07 \x03(\x0b\x32$.action_builder.ActionReady.ActionIO\x12<\n\x0e\x61\x63tion_outputs\x18\x08 \x03(\x0b\x32$.action_builder.ActionReady.ActionIO\x12\x17\n\x0f\x61\x63tion_owner_id\x18\t \x01(\t\x12\x35\n\x0b\x61\x63tion_logo\x18\n \x01(\x0b\x32 .action_builder.ActionReady.Logo\x12\x1d\n\x15\x61\x63tion_technical_name\x18\x0b \x01(\t\x12\x35\n\x11\x61\x63tion_build_date\x18\x0c \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12\x19\n\x11\x61\x63tion_categories\x18\r \x03(\t\x12\x19\n\x11\x61\x63tion_project_id\x18\x0e \x01(\t\x12\x44\n\raction_addons\x18\x0f \x03(\x0b\x32-.action_builder.ActionReady.ActionAddonsEntry\x12J\n\x10\x61\x63tion_resources\x18\x10 \x01(\x0b\x32+.action_builder.ActionReady.ActionResourcesH\x00\x88\x01\x01\x12\x10\n\x08lockfile\x18\x11 \x01(\x0c\x1a\x81\x01\n\x0f\x41\x63tionResources\x12\x10\n\x03\x63pu\x18\x01 \x01(\x02H\x00\x88\x01\x01\x12\x13\n\x06memory\x18\x02 \x01(\x03H\x01\x88\x01\x01\x12\x11\n\x04time\x18\x03 \x01(\x02H\x02\x88\x01\x01\x12\x10\n\x03gpu\x18\x04 \x01(\x03H\x03\x88\x01\x01\x42\x06\n\x04_cpuB\t\n\x07_memoryB\x07\n\x05_timeB\x06\n\x04_gpu\x1at\n\x04Logo\x12\x16\n\x0e\x61\x63tion_logo_id\x18\x01 \x01(\t\x12\x18\n\x10\x61\x63tion_logo_name\x18\x02 \x01(\t\x12\x1d\n\x15\x61\x63tion_logo_extension\x18\x03 \x01(\t\x12\x1b\n\x13\x61\x63tion_logo_content\x18\x04 \x01(\x0c\x1a\xe4\x02\n\x08\x41\x63tionIO\x12\n\n\x02id\x18\x01 \x01(\t\x12\x16\n\x0etechnical_name\x18\x02 \x01(\t\x12\x14\n\x0c\x64isplay_name\x18\x03 \x01(\t\x12\x0c\n\x04help\x18\x04 \x01(\t\x12\x37\n\x04type\x18\x05 \x01(\x0e\x32).action_builder.ActionReady.ActionIO.Type\x12\x13\n\x0b\x65num_values\x18\x06 \x03(\t\x12\x15\n\rdefault_value\x18\x07 \x01(\t\x12\x10\n\x08optional\x18\x08 \x01(\x08\"\x98\x01\n\x04Type\x12\x08\n\x04NONE\x10\x00\x12\n\n\x06STRING\x10\x01\x12\x0e\n\nLONGSTRING\x10\x02\x12\x0b\n\x07INTEGER\x10\x03\x12\t\n\x05\x46LOAT\x10\x04\x12\x0c\n\x08PASSWORD\x10\x05\x12\x08\n\x04\x45NUM\x10\x06\x12\x08\n\x04\x46ILE\x10\x07\x12\r\n\tDIRECTORY\x10\x08\x12\t\n\x05TABLE\x10\t\x12\t\n\x05\x42YTES\x10\n\x12\x0b\n\x07\x42OOLEAN\x10\x0b\x1aL\n\x11\x41\x63tionAddonsEntry\x12\x0b\n\x03key\x18\x01 \x01(\t\x12&\n\x05value\x18\x02 \x01(\x0b\x32\x17.google.protobuf.Struct:\x02\x38\x01\":\n\x04Kind\x12\x08\n\x04NONE\x10\x00\x12\n\n\x06SOURCE\x10\x01\x12\r\n\tPROCESSOR\x10\x02\x12\r\n\tPUBLISHER\x10\x03\x42\x13\n\x11_action_resourcesb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'ryax.studio.infrastructure.messaging.messages.action_builder_messages_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:
  DESCRIPTOR._options = None
  _globals['_ACTIONREADY_ACTIONADDONSENTRY']._options = None
  _globals['_ACTIONREADY_ACTIONADDONSENTRY']._serialized_options = b'8\001'
  _globals['_ACTIONREADY']._serialized_start=159
  _globals['_ACTIONREADY']._serialized_end=1626
  _globals['_ACTIONREADY_ACTIONRESOURCES']._serialized_start=861
  _globals['_ACTIONREADY_ACTIONRESOURCES']._serialized_end=990
  _globals['_ACTIONREADY_LOGO']._serialized_start=992
  _globals['_ACTIONREADY_LOGO']._serialized_end=1108
  _globals['_ACTIONREADY_ACTIONIO']._serialized_start=1111
  _globals['_ACTIONREADY_ACTIONIO']._serialized_end=1467
  _globals['_ACTIONREADY_ACTIONIO_TYPE']._serialized_start=1315
  _globals['_ACTIONREADY_ACTIONIO_TYPE']._serialized_end=1467
  _globals['_ACTIONREADY_ACTIONADDONSENTRY']._serialized_start=1469
  _globals['_ACTIONREADY_ACTIONADDONSENTRY']._serialized_end=1545
  _globals['_ACTIONREADY_KIND']._serialized_start=1547
  _globals['_ACTIONREADY_KIND']._serialized_end=1605
# @@protoc_insertion_point(module_scope)
